import request from '@/utils/request'

// 查询油站支付设置列表
export function listPay(query) {
  return request({
    url: '/station/pay/list',
    method: 'get',
    params: query
  })
}

// 查询油站支付设置详细
export function getPay(payId) {
  return request({
    url: '/station/pay/' + payId,
    method: 'get'
  })
}

// 新增油站支付设置
export function addPay(data) {
  return request({
    url: '/station/pay',
    method: 'post',
    data: data
  })
}

// 修改油站支付设置
export function updatePay(data) {
  return request({
    url: '/station/pay',
    method: 'put',
    data: data
  })
}

// 删除油站支付设置
export function delPay(payId) {
  return request({
    url: '/station/pay/' + payId,
    method: 'delete'
  })
}

// 导出油站支付设置
export function exportPay(query) {
  return request({
    url: '/station/pay/export',
    method: 'get',
    params: query
  })
}
//根据油站id获取支付信息
export function getStationPay() {
  return request({
    url: '/station/pay/queryOne',
    method: 'get'
  })
}
